{
    "format_version": "1.21.0",
    "minecraft:block": {
        "description": {
            "identifier": "sg_vtng:crusher",
            "states": {
                "sg_vtng:hidden": [ false, true ],
                "sg_vtng:one_direction": [ "up", "down" ]
            }
        },
        "components": {
            "minecraft:custom_components": ["sg_vtng:rpm_initialize", "sg_vtng:ticking"],
            "minecraft:tick": {
                "interval_range": [ 10, 10 ]
            },
            "minecraft:material_instances": {
                "*": {
                    "texture": "sg_vtng:stone",
                    "render_method": "alpha_test",
                    "ambient_occlusion": false
                },
                "stone": {
                    "texture": "sg_vtng:stone",
                    "render_method": "alpha_test",
                    "ambient_occlusion": false
                },
                "cobblestone": {
                    "texture": "sg_vtng:crusher_cobblestone",
                    "render_method": "alpha_test",
                    "ambient_occlusion": false
                },
                "crusher_stone": {
                    "texture": "sg_vtng:crusher_cobblestone2",
                    "render_method": "alpha_test",
                    "ambient_occlusion": false
                },
                "smooth_stone": {
                    "texture": "sg_vtng:smooth_stone",
                    "render_method": "alpha_test",
                    "ambient_occlusion": false
                }
            },
            "minecraft:collision_box": {
                "origin": [ -7, 0, -7 ],
                "size": [ 14, 16, 14 ]
            },
            "minecraft:selection_box": {
                "origin": [ -7, 0, -7 ],
                "size": [ 14, 15, 14 ]
            },
            "minecraft:geometry": {
                "identifier": "geometry.sg_vtng.crusher",
                "bone_visibility": {
                    "main": "q.block_state('sg_vtng:hidden') == false"
                }
            },
            "minecraft:transformation": { "rotation": [ 0, 0, 0 ] },
            "minecraft:destructible_by_mining": { "seconds_to_destroy": 1 },
            "minecraft:light_dampening": 0,
            "minecraft:map_color": "#fce88a",
            "tag:minecraft:is_pickaxe_item_destructible":{}
        },
        "permutations": []
    }
}